Einführung

HTML-Hilfe für PowerXGames Theater 5.5

PowerXGames Theater für Windows

HTML-Hilfe Hyperlinks:

Erläuterungen

Unter PowerXGames Theater von jk-ware können Blocker Ebenen, Color LIFE Sound und Perpetuum mobile mehrfach aufgerufen werden und gleichzeitig ablaufen.

Die Programmformen werden über den Menüpunkt "Formen" überlappend, nebeneinander oder übereinander angeordnet.

Sinn und Zweck von PowerXGames Theater ist es spielerisch die Leistungsfähigkeit des Computers zu erproben. Die hierbei ausgewählten Anordnungen der Formen können zur späteren Wiederherstellung als Konfigurationen abgespeichert werden.

Der Ablauf im Einzelnen

PowerXGames Theater ist ein Rahmenprogramm in dem die Spielprogramme von jk-ware als MDI-Form gestartet werden können (MDI = Multiple Document Interface).

Jedes Programm wird unter Windows™ als einzelne Aufgabe (Thread) angemeldet und erhält den Mikroprozessor abwechselnd für eine kleine Zeitdauer zugeteilt.

Hierdurch ergibt sich auf Computern mit einem Prozessor ein scheinbar gleichzeitiger Ablauf der Spiele.

Nur auf Systemen mit mehreren Mikroprozessoren oder mit Mehrkern-Prozessoren wird idealer weise jedem Programm ein Prozessor bzw. ein Prozessorkern zugeteilt, wodurch die Spiele gleichzeitig ablaufen.

Theater-Konfigurationen

Beim Einlesen eines Konfigurationsordners geht der aktuelle Spielaufbau unwiederbringlich verloren. Wenn Spieldaten erhalten bleiben sollen, müssen diese in einen Konfigurationsordner abgespeichert werden, bevor sie durch einen neuen Ordnerinhalt überschrieben werden.

Die Konfigurationen für PowerXGames Theater werden in Unterordner von "Konfigurationen" abgespeichert.

Hierzu wird durch „Programm\Konfiguration\Speichern...“ ein Unterordner ausgewählt. In diesen Ordner werden die Initialisierungsdateien der Programme und von Theater selbst kopiert.

Beim Zurückladen einer Theater Konfiguration mit „Programm\Konfiguration\Laden...“ werden die Initialisierungsdateien der Programme aus einem ausgewählten Ordnernamen in den Startordner „Init_Daten“ kopiert. Die Initialisierungsdatei von Theater selbst wird in den Programmordner kopiert.

Achtung ! Der Ordner für die Konfigurationsdaten muss mit einem passendem Namen mit dem Windows Explorer von Ihnen vorher erstellt werden.
Der Name der Konfigurationsdatei selbst ist hierbei unveränderlich "Theater_Daten.bin".

jk-ware, Dipl.-Ing. Reinhard Jakob

HTML-Hilfe frei kopierbar

™ Windows ist eine eingetragene Marke der Microsoft Corporation


HTML-Hilfe für PowerXGames Theater 5.5
Nach oben

Menüauswahl

Programm-Menü

Blocker Ebenen !
Color LIFE Sound !
Perpetuum mobile !

Über diese Menüpunkte wird das gewünschte Programm gestartet.

Konfiguration >

  • Wiederherstellen

    reaktiviert die letzte Konfiguration

  • 1 x BLE, 1 x CLS, 1 x PPM

    jedes Programm wird einmal gestartet

  • 2 x CLS, 2 x PPM

    startet zweimal Color LIFE Sound und Perpetuum mobile
  • + 4 x Color LIFE Sound

    öffnet weitere vier Formen von Color LIFE Sound

  • + 4 x Perpetuum mobile

    öffnet weitere vier Formen von Perpetuum mobile

  • Laden ...

    die Dialogform „Öffnen“ zur Auswahl eines Spielaufbaus aus einem Konfigurationsordner für PowerXGames Theater wird angezeigt.

  • Speichern ...

    öffnet die Dialogform „Speichern unter“ zum Abspeichern des Spielaufbaus in einen Konfigurationsordner für PowerXGames Theater.

Alle Pause / Start

Der Zustand von allen Programmen wechselt hierdurch von Pause zu Start und umgekehrt.

Alle Formen Schließen!

Schließt alle Formen innerhalb von PowerXGames Theater.

Ende!

Schließt alle Formen und beendet PowerXGames Theater unter Windows™.

Formen-Menü

Überlappend
Nebeneinander
Übereinander

Die geöffneten Programmformen werden überlappend, nebeneinander oder übereinander neu angeordnet.

Alle Verkleinern

Verkleinert alle Formen zur Titelleiste.

Alle Wiederherstellen

Stellt die vorhergehende Anordnung der Formen wieder her.

Schließen!

Beendet das aktuelle Programm und schließt die Form.

Alle Schließen!

Beendet alle laufenden Programme und schließt alle Formen.

Formenliste

In der sich anschließenden Liste werden alle Programmformen aufgeführt.

Theater-Menü

Sprache >

Wählen Sie hier die Sprache für die Theater-Menüs und für die Informationstexte innerhalb von Nachrichtenformen. Alle neuen Programme werden mit dieser Sprache gestartet.

Sprache > Hilfetext

Bestimmt die Sprache für den HTML-Hilfetext und der Beschreibung der Dialogformen. Für „andere“ können noch weitere HTML Hilfetexte unter dem Dateinamen PowerXGames_Theater_5_5_other.chm eingebunden werden.

Erläuterungen

Öffnet einen Hilfetext mit Erläuterungen zu PowerXGames Theater.

Menübefehle

Aktiviert diesen Hilfetext.

über...

Öffnet eine Dialogform mit Informationen zu PowerXGames Theater und Copyrights.

Nach oben


Theater_agif

HTML-Hilfe für PowerXGames Theater 5.5